"""
DO NOT EDIT THIS FILE!!
This file is automatically generated by the process_schemas.py program
in the scripts directory. It is not intended to be edited directly. If
you need to update the GEL protocol classes, please run the script
on the appropriate schema version.
"""
from protocols.protocol import (
    ProtocolElement,
    avro_parse,
    load_schema,
)


class InbreedingCoefficientEstimates(ProtocolElement):
    """
    Inbreeding coefficient estimates
    """

    # load schema from file
    _schemaSource = load_schema(__file__)
    # parse into avro classes
    schema = avro_parse(_schemaSource)

    requiredFields = {
        "E_HOM",
        "F",
        "FID",
        "IID",
        "N_NM",
        "O_HOM",
    }

    @classmethod
    def getEmbeddedTypes(cls):
        return {}

    @classmethod
    def getEmbeddedEnums(cls):
        return {}

    @classmethod
    def getEmbeddedByNamespace(cls):
        # import here to prevent circular imports in python 2.7.
        from protocols.protocol_6_1 import metrics as metrics_1_1_0

        return {
            "org.gel.models.report.avro.InbreedingCoefficientEstimates": metrics_1_1_0.InbreedingCoefficientEstimates,
        }

    __slots__ = [
        "E_HOM",
        "F",
        "FID",
        "IID",
        "N_NM",
        "O_HOM",
    ]

    def __init__(
        self,
        E_HOM,
        F,
        FID,
        IID,
        N_NM,
        O_HOM,
        validate=None,
        **kwargs
    ):
        """Initialise the metrics_1_1_0.InbreedingCoefficientEstimates model.

        :param E_HOM:
        :type E_HOM: double
        :param F:
        :type F: double
        :param FID:
        :type FID: str
        :param IID:
        :type IID: str
        :param N_NM:
        :type N_NM: double
        :param O_HOM:
        :type O_HOM: double
        """

        attributes = {k: v for k, v in locals().items() if k not in ["self", "unknown"]}
        ProtocolElement.__init__(self, **attributes)

    @classmethod
    def _namespace_version(cls):
        return "1.1.0"
